<template>
  <div class="container">
    <svg @mousedown="updateBar($event)">
      <path :d = "pathXml"></path>
      <path :d = "separatorPath"></path>
    </svg>
  </div>
</template>

<script>
export default {
  name: 'LinearGraph',
  components:{

  },
  props: {
    
  },
  data(){
    return{
      pathXml:"",
      separatorPath:"",
      points:[]
    }
  },
  methods:{
    updateBar: function (event) {
      const width = this.$el.clientWidth;
     
      const x = event.offsetX;
      const relativeX = Math.trunc((x*this.points.length)/width)
      
      this.separatorPath = ""
      for (let i = 0; i*x < width ; i++) {
        this.separatorPath += `M ${x*i} 0 L ${x*i} ${this.$el.clientHeight} `   
      }
      this.$parent.periodicity = relativeX;
      this.$parent.reloadCircleGraph();
    },
    calculatePath : function (data) {
      this.points = data;
      const wU = this.$el.clientWidth/data.length
      
      var path = 'M 0 0 '
      var max = parseFloat(data[0]);
      var min = parseFloat(data[0]);
      
       for (let i = 0; i < data.length; i++) {
        
         var val =  parseFloat(data[i]);
        if( min>= val){
          min = val
          } 
        if(max<=val) {
          max = val
          }
          
      }
      
      

      const dif = max - min
      const hU = this.$el.clientHeight/dif
      const balance = (min>0)? min: -min;

      for (let i = 0; i < data.length; i++) {
        const element = parseFloat(data[i]);
        var x =i*wU;
        var y = (balance+element)*hU;

        
        path+=  ` L ${x} ${y}`
      }
  
      return path
    }

  },
  // on create
  mounted(){
    
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
path{
    stroke: #2b2854;
    fill: transparent;

}
svg{
  width: 100%;
  height: 100%;
  background-color: #f4f4fb
}
.container{
  width: 100%;
  height: 100%;
}

</style>
